package com.zy.bms.common.enums;

/**
 * 接口返回常量
 */
public enum ResponseCode {
    SUCCESS(200, "Success"),//成功
    WARNING(300, "Warning"),//警告,不进入成功回调函数,直接alert
    AUTHOR(400, "No Access"),//无权限
    ERROR(500, "Error");//服务器异常
    public final int code;
    public final String msg;

    ResponseCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
