package com.zy.bms.controller;

import com.zy.bms.common.exception.ApiRuntimeException;
import com.zy.bms.utils.AesUtil;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.servlet.http.HttpServletRequest;

/**
 * controller公共类提出
 *
 * @author chenyi
 * date: create on 2019/6/8
 */
@Component
public class BaseController {
    private HttpServletRequest request;

    //获取登录信息
    @ModelAttribute
    public void setModelAttribute(HttpServletRequest request) {
        this.request = request;
    }

    /**
     * 获取token信息
     */
    String token() {
        return request.getHeader("token");
    }

    /**
     * 获取微信小程序登录User
     */
    public Integer userId() {
//        String userId = AesUtil.decrypt(request.getHeader("app_user"));
//        if (userId == null) throw new ApiRuntimeException("用户ID解析失败!");
//        return Integer.parseInt(userId);
        return 1;
    }
}
