package com.zy.bms.controller.lp;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.service.lp.ILpInfoStateService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 路牌设备
 *
 * @author yang xiao kun
 * create on 2021/7/16
 */
@RestController
@RequestMapping("/bms/api/operate/device/lp")
public class LpDeviceController {

    @Resource
    private ILpInfoStateService lpInfoStateService;

    /**
     * 分页查询设备
     */
    @GetMapping("listPage.do")
    public ServerResponse listPage(DeviceIO io) {
        return ServerResponse.success(lpInfoStateService.listPage(io));
    }

}
