package com.zy.bms.entity.ubi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * 普适性 - 数据链路设置信息
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Data
public class UbiNtrip implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 设备公开码
     */
    private String openNum;

    /**
     * 域名
     */
    private String host;

    /**
     * 端口
     */
    private String port;

    /**
     * 节点
     */
    private String mountPoint;

    /**
     * 用户名
     */
    private String user;

    /**
     * 密码
     */
    private String password;

    /**
     * 连接状态 1:成功 0:失败
     */
    private Integer status;

    /**
     * 类别
     */
    private Integer type;

    /**
     * 开关
     */
    private Integer onOff;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
