package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.PrivilegeApplyRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.bms.pojo.io.PrivilegeApplyIO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 权限申请记录 Mapper 接口
 *
 * @author chenyi
 * @since 2021-07-12
 */
@Mapper
@Repository
public interface PrivilegeApplyRecordMapper extends BaseMapper<PrivilegeApplyRecord> {
    /**
     * 分页查询
     */
    IPage<PrivilegeApplyRecord> listPage(Page<PrivilegeApplyRecord> page, @Param("io") PrivilegeApplyIO io);
}
