package com.zy.bms.mapper.lp;

import com.zy.bms.entity.lp.LpInfoRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.bms.pojo.io.LpInfoRecordIO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备-路牌-历史记录表 Mapper 接口
 *
 * @author chenyi
 * @since 2021-08-26
 */
public interface LpInfoRecordMapper extends BaseMapper<LpInfoRecord> {

    /**
     * 查询历史数据记录
     *
     * @param io 查询参数
     */
    List<LpInfoRecord> getHistoryList(@Param("io") LpInfoRecordIO io);
}
