package com.zy.bms.pojo.io.set;

import lombok.Data;

/**
 * TCP 链路设置入参
 *
 * @author yang xiao kun
 * create on 2021/6/28
 */
@Data
public class TcpIO extends SetIO {

    /**
     * TCP链路
     */
    private Integer link;

    /**
     * 域名
     */
    private String host;

    /**
     * 端口
     */
    private String port;

    /**
     * 类型
     */
    private String type;

    /**
     * 开关
     */
    private Integer onOff;
}
