package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.PrivilegeApplyRecord;
import com.zy.bms.mapper.PrivilegeApplyRecordMapper;
import com.zy.bms.pojo.io.PrivilegeApplyIO;
import com.zy.bms.service.IPrivilegeApplyRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 权限申请记录 服务实现类
 *
 * @author chenyi
 * @since 2021-07-12
 */
@Service
public class PrivilegeApplyRecordServiceImpl extends ServiceImpl<PrivilegeApplyRecordMapper, PrivilegeApplyRecord> implements IPrivilegeApplyRecordService {

    @Override
    public IPage<PrivilegeApplyRecord> listPage(PrivilegeApplyIO io) {
        Page<PrivilegeApplyRecord> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }

}
