package com.zy.bms.service.lp;

import com.zy.bms.entity.lp.LpInfoRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.pojo.io.LpInfoRecordIO;

import java.util.List;

/**
 * 设备-路牌-历史记录表 服务类
 *
 * @author chenyi
 * @since 2021-08-26
 */
public interface ILpInfoRecordService extends IService<LpInfoRecord> {

    /**
     * 获取该设备历史记录数据
     *
     * @param io 入参
     */
    List<LpInfoRecord> getHistoryList(LpInfoRecordIO io);
}
