package com.zy.bms.service.lp.impl;

import com.zy.bms.entity.lp.LpInfoRecord;
import com.zy.bms.mapper.lp.LpInfoRecordMapper;
import com.zy.bms.pojo.io.LpInfoRecordIO;
import com.zy.bms.service.lp.ILpInfoRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设备-路牌-历史记录表 服务实现类
 *
 * @author chenyi
 * @since 2021-08-26
 */
@Service
public class LpInfoRecordServiceImpl extends ServiceImpl<LpInfoRecordMapper, LpInfoRecord> implements ILpInfoRecordService {

    @Override
    public List<LpInfoRecord> getHistoryList(LpInfoRecordIO io) {
        return baseMapper.getHistoryList(io);
    }
}
