package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.Logs;
import com.zy.bms.pojo.io.LogsIO;
import com.zy.bms.pojo.vo.LogsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * MQTT 收发日志 Mapper
 * <p>
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface LogsMapper extends BaseMapper<Logs> {

    /**
     * 分页查询日志
     *
     * @param page 分页参数
     * @param io   查询条件
     */
    IPage<LogsVo> listPage(Page<LogsVo> page, @Param("io") LogsIO io);
}
