package com.zy.bms.pojo.io.set;

import lombok.Data;

/**
 * ntrip链路设置入参
 *
 * @author yang xiao kun
 * create on 2021/6/25
 */
@Data
public class NtripIO extends SetIO {
    /**
     * 类别 0:client端 1:server端
     */
    private Integer type;

    /**
     * 主机
     */
    private String host;

    /**
     * 端口
     */
    private String port;

    /**
     * 结点
     */
    private String mountPoint;

    /**
     * 用户名
     */
    private String user;

    /**
     * 密码
     */
    private String password;

    /**
     * 开关
     */
    private Integer onOff;
}
