package com.zy.bms.pojo.vo;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * 设备组列表视图
 *
 * @author yang xiao kun
 * create on 2021/5/19
 */
@Data
public class GroupListVo {

    /**
     * 设备组主键ID
     */
    private Integer id;

    /**
     * 项目组编号
     */
    private String code;

    /**
     * 项目组名称
     */
    private String name;

    /**
     * 项目名称
     */
    private String item;

    /**
     * 项目ID
     */
    private String itemId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 0:禁用 1:启用
     */
    private Integer status;

}
