package com.zy.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.bms.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.pojo.io.UserIO;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
public interface IUserService extends IService<User> {

    /**
     * 通过微信传来的code 换取 appid
     */
    String getWxAppId(String code);

    /**
     * 分页查询用户
     *
     * @param io 查询参数
     */
    IPage<User> listPage(UserIO io);
}
