package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.entity.Item;
import com.zy.bms.mapper.ItemMapper;
import com.zy.bms.pojo.io.ItemIO;
import com.zy.bms.service.IItemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 项目表 服务实现类
 * </p>
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@Service
public class ItemServiceImpl extends ServiceImpl<ItemMapper, Item> implements IItemService {

    @Override
    public IPage<Item> listPage(ItemIO io) {
        Page<Item> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }
}

