package com.zy.bms;

import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.config.GlobalConfig;
import com.baomidou.mybatisplus.generator.config.PackageConfig;
import com.baomidou.mybatisplus.generator.config.StrategyConfig;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

/**
 * mybatis plus 代码生成器
 */
public class MybatisPlusGenerator {

    private static final String url = "jdbc:mysql://59.110.141.39:3306/bms?useUnicode=true&useSSL=false&characterEncoding=utf8";
    private static final String driveName = "com.mysql.jdbc.Driver";
    private static final String username = "useryxk";
    private static final String password = "CHENyi406@";
    private static final String moduleName = "builder";
    private static final String[] tables = {"lp_info_record"};


    public static void main(String[] args) {
        // 代码生成器
        AutoGenerator autoGenerator = new AutoGenerator();
        // 全局配置
        GlobalConfig gc = new GlobalConfig();
        String projectPath = System.getProperty("user.dir");
        gc.setOutputDir(projectPath + "/src/main/java");
        gc.setAuthor("chenyi");
        gc.setOpen(false);
        autoGenerator.setGlobalConfig(gc);

        // 数据源配置
        DataSourceConfig DSConfig = new DataSourceConfig();
        DSConfig.setUrl(url);
        DSConfig.setDriverName(driveName);
        DSConfig.setUsername(username);
        DSConfig.setPassword(password);
        autoGenerator.setDataSource(DSConfig);

        // 包配置
        PackageConfig pc = new PackageConfig();
        pc.setModuleName(moduleName);
        pc.setParent("com.zy.bms");
        autoGenerator.setPackageInfo(pc);

        // 策略配置
        StrategyConfig strategy = new StrategyConfig();
        strategy.setNaming(NamingStrategy.underline_to_camel);
        strategy.setColumnNaming(NamingStrategy.underline_to_camel);
        strategy.setEntityLombokModel(true);
        strategy.setRestControllerStyle(true);

        strategy.setInclude(tables);
        strategy.setControllerMappingHyphenStyle(true);
        autoGenerator.setStrategy(strategy);
        //模板引擎
        autoGenerator.setTemplateEngine(new FreemarkerTemplateEngine());
        autoGenerator.execute();
    }
}