package com.zy.bms;

import com.zy.bms.config.mqtt.MqttGateway;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @author yang xiao kun
 * create on 2021/7/12
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = BmsApplication.class,webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class SendMsg {
    @Resource
    private MqttGateway mqttGateway;

    @Test
    public void test() {
        String msg1 = "{m: \"10\",data:{regnum:\"yxktest\"}}";
        String msg2 = "{m:\"21\",data:{timee:\"2021-3-15 13:23:14\",freq:\"300\",powervolt:\"12.5\",satnum:\"12\",signal4g:\"26\",deviceid:\"none\",lon:\"104.456123\",lat:\"40.13654\",version:\"1.1.2\"}}";
        String msg3 = "{m:\"30\",data:{deviceid:\"xxxx\",ntripserver:{en:\"on\",host:\"ntrip.ailishi.org\",port:\"2101\",mountpoint:\"xxx\",password:\"xxxx\",linkF:\"true\"},ntripclient:{en:\"on\",host:\"ntrip.ailishi.org\",port:\"2101\",mountpoint:\"xxx\",user:\"xxx\",password:\"xxxx\",linkF:\"true\"},tcplink1:{en:\"on\",host:\"111.2.1.34\",port:\"1234\",type:\"xyz\",linkF:\"true\"},tcplink2:{en:\"off\"},tcplink3:{en:\"on\",host:\"111.2.1.36\",port:\"3456\",type:\"xyz\",linkF:\"true\"}}}";
        mqttGateway.sendMsgToMqtt(msg3,"$dtx2/IMEIyxktest");
    }
}
